function() -- 1 - 2 CHARGE
    local charges, max, cdstart, cddur = GetSpellCharges(aura_env.spell)
    cdstart = cdstart * 1000
    cddur = cddur * 1000
    if exptime then
        exptime = exptime * 1000
    end
    local time = GetTime() * 1000
    if charges >= 2 then --FULL CHARGES RETURNS FULL BAR
        return 1, 1, 1 
    end
    if charges == 1 then --CHARGE 2 RECHARGING RETURNS COOLDOWN
        local cd = time - cdstart
        return cd, cddur, 1
    end
    if charges < 1 then --CHARGE 1 RECHARGING RETURNS 0
        return 0, 1, 1
    end
end

aura_env.spell= "Judgment"